Bug 68429 - when random(gmp_rand(lt)) is called, assertion failed and sawfish exits
when random(gmp_rand(lt)) is called, assertion failed and sawfish exits
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gmp (Show other bugs)
limbo
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 02:37 EDT by Robert Vojta
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-10 09:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DVI it and try to display, Sawfish crash (5.75 KB, text/plain)
2002-07-10 02:38 EDT, Robert Vojta
no flags Details

  None (edit)
Description Robert Vojta 2002-07-10 02:37:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
  I've installed Limbo and want to try Sawfish WM alone without Gnome.
`switchdesk windowmaker`, wmaker -> sawfish (.Xclients-default) and
login. Now, I little bit customize sawfish by sawfish-ui tool and
set random window placement. Oooops, each new window crash sawfish,
especially gmp library where assertion failed in lt function
(see below). So, I modified ~/.sawfish/custom and I removed all
random stuff. Now, sawfish works "fine". Yesterday I was working
on some math stuff in LaTeX and I want to see my output in
xdvi and it fails again in the same way as above. As you can see,
everything is related to assertion failed in _gmp_rand, especially
lt( function. Related output is here ...

<output>
XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-50.17) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 23 January 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.17-0.13smp i686 [ELF]
Build Host: daffy.perf.redhat.com

Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.1.log", Time: Wed Jul 10 08:24:42 2002
(==) Using config file: "/etc/X11/XF86Config-4"
randraw.c:118: GNU MP assertion failed: ((mp_limb_t) 1 << m2exp) > c
rep: received fatal signal: Nezspl9nl ukonhen (SIGABRT)

struct debug_buf common:

Backtrace in `fatal_signal_handler':
        <(null)+1107458216>
        <abort+409>
        <(null)+1074473212>
        <(null)+1074475484>
        <__gmp_rand+306>
        <__gmpz_urandomm+249>
        <(null)+1074026346>
        <(null)+1073985400>

Lisp backtrace:
#2   random ...
#1   place-window-randomly ...
#0   place-window (#<window 800035>)

waiting for X server to shut down xterm:  fatal IO error 32 (Pxeru9ena roura
(SIGPIPE)) or KillClient on X server ":1.0"
</output>

  As you can see from list backtrace, random was called and
then _gmp_rand (from this lt( ) and crash is here.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Limbo, choose Sawfish as alone WM (without gnome)
2.Choose random window placement (in customization tool)
3.Try to open any window, for intance xterm
4.Sawfish exits
	

Actual Results:  Non working sawfish with random, it's not usable for
desktop work with lot of windows ...

Additional info:

I'll attach my tahak.tex file, so you can dvi it `latex tahak.tex`
and try to display result by `xdvi tahak.dvi` and you'll see crashed
Sawfish. If this will not work, try the other thing, customize
sawfish to place new windows randomly and sawfish crash will be here
too.
Comment 1 Robert Vojta 2002-07-10 02:38:08 EDT
Created attachment 64525 [details]
DVI it and try to display, Sawfish crash
Comment 2 Robert Vojta 2002-07-10 02:38:54 EDT
P.S. Maybe, it's not Sawfish related problem, it can be rep-gtk or gmp library,
but I'm not sure, so I started at Sawfish ...
Comment 3 Trond Eivind Glomsrxd 2002-07-10 10:48:03 EDT
Believed to be fixed in gmp 4.1-4
Comment 4 Robert Vojta 2002-07-10 15:19:11 EDT
Tried with 4.1-4 and it works fine here, thanks ...

Note You need to log in before you can comment on or make changes to this bug.